Summary: Confine services in a limited environment.
Name: compartment
Version: 1.2
Release: 10%{?dist}
URL: http://www.suse.de/~marc/
#Source0: http://www.suse.de/~marc/%{name}-%{version}.tar.gz
Source0: %{name}-%{version}.tar.bz2
Patch0: compartment-1.1-newlines.patch
Patch1: compartment-1.2-suse-patches.diff.bz2
Patch2: compartment-1.2-nocast.patch
License: GPL
Group: System Environment/Daemons
BuildRoot: %{_tmppath}/%{name}-root

%description
Compartment was designed to allow safe execution of priviliged and/or
untrusted executables and services. It has got all possible features
included, which can be used to minimize the risk of a trojanized or
vulnerable program/service.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
#mv Makefile Makefile.off
#mv compartment compartment.off
make compartment

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
install -p -m 751 compartment %{buildroot}%{_bindir}
install -p -m 644 compartment.1 %{buildroot}%{_mandir}/man1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*
%doc README LICENCE CHANGES TODO

%changelog
* Tue Jul 12 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add fix for gcc4 (web@circuitry.de).

* Sat Apr  2 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.

* Wed Feb  4 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add patch to fix multiline strings.

* Wed Dec  4 2002 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.


